import 'package:cims_apps/application/assets/path_assets.dart';
import 'package:cims_apps/application/component/button/button_view.dart';
import 'package:cims_apps/application/component/image/image_view.dart';
import 'package:cims_apps/application/theme/color_palette.dart';
import 'package:cims_apps/core/route/route.dart';
import 'package:cims_apps/core/utils/size_config.dart';
import 'package:cims_apps/features/auth/registration/view/submission_data/risk_profile/question_view.dart';
import 'package:flutter/material.dart';

class RiskProfileView extends StatelessWidget {
  const RiskProfileView({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      width: SizeConfig.width,
      height: SizeConfig.height * .8,
      padding: const EdgeInsets.all(24),
      child: Column(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          const Column(
            children: [
              ImageView(image: PathAssets.imgDataReport),
              SizedBox(
                height: 24,
              ),
              Text(
                'Know Your Risk Profile',
                textAlign: TextAlign.center,
                style: TextStyle(
                    color: ColorPalette.slate800,
                    fontWeight: FontWeight.bold,
                    fontSize: 24),
              ),
              SizedBox(
                height: 12,
              ),
              Text(
                'We will provide recommendations that match your profile and risk tolerance level.',
                textAlign: TextAlign.center,
                style: TextStyle(
                    fontSize: 16,
                    fontWeight: FontWeight.w600,
                    color: ColorPalette.slate500),
              ),
            ],
          ),
          Column(
            children: [
              const Row(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  ImageView(
                    image: PathAssets.iconShield,
                    width: 20,
                    height: 22,
                  ),
                  SizedBox(
                    width: 8,
                  ),
                  Text(
                    'Your data is secure and encrypted',
                    style: TextStyle(
                        fontWeight: FontWeight.w600,
                        color: ColorPalette.primary,
                        fontSize: 16),
                  )
                ],
              ),
              const SizedBox(
                height: 24,
              ),
              ButtonView(
                name: "Let's Start",
                onPressed: () {
                  routePush(context, page: QuestionView());
                },
                marginVertical: 0,
              )
            ],
          )
        ],
      ),
    );
  }
}
